export class Notification {
    constructor() {
        this.timeoutId = null;
    }

    show({ title = 'Success!', message = 'Operation completed successfully.' }) {
        // Удаляем предыдущее уведомление, если оно существует
        $('.notification').remove();
        clearTimeout(this.timeoutId);

        // Создаем HTML уведомления
        const notificationHtml = `
            <div class="notification">
                <div class="notification__icon">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7" />
                    </svg>
                </div>
                <div class="notification__content">
                    <div class="notification__title">${title}</div>
                    <div class="notification__message">${message}</div>
                </div>
                <button class="notification__close">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
        `;

        // Добавляем уведомление в DOM
        $('body').append(notificationHtml);

        // Обработчик закрытия
        $('.notification__close').on('click', () => this.hide());

        // Автоматическое скрытие через 5 секунд
        this.timeoutId = setTimeout(() => this.hide(), 5000);
    }

    hide() {
        const $notification = $('.notification');
        $notification.addClass('fade-out');
        
        setTimeout(() => {
            $notification.remove();
        }, 500);
    }
}