async function getExchangeRate() {
    try {
        const response = await axios.get('https://api.exchangerate-api.com/v4/latest/USD');
        return response.data.rates.EUR;
    } catch (error) {
        console.error('Error fetching exchange rate:', error);
        throw error;
    }
}

// Функция для получения цен на металлы и конвертации их в евро
async function getMetalPrices() {
    try {
        const exchangeRate = await getExchangeRate();

        const goldResponse = await axios.get('https://api.coingecko.com/api/v3/simple/price?ids=gold&vs_currencies=usd');
        const silverResponse = await axios.get('https://api.coingecko.com/api/v3/simple/price?ids=silver&vs_currencies=usd');

        const goldPriceUSD = goldResponse.data.gold.usd;
        const silverPriceUSD = silverResponse.data.silver.usd;

        const goldPriceEUR = goldPriceUSD * exchangeRate;
        const silverPriceEUR = silverPriceUSD * exchangeRate;

        console.log(`Gold: ${goldPriceEUR.toFixed(2)} EUR`);
        console.log(`Silver: ${silverPriceEUR.toFixed(2)} EUR`);
    } catch (error) {
        console.error('Error fetching metal prices:', error);
    }
}

// Вызов функции для получения цен на металлы
getMetalPrices();